<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');
if ($prava_stranica_dodaj!=1) die('Nedozvoljen pristup!');


// list expected fields

$expected = array('new_datum', 'q_naslov', 'q_link', 'q_opis', 'q_vidljivost', 'q_stylesheet', 'q_vijest_kratka', 'new_slika', 'q_thumb_sirina', 'q_thumb_visina');
// set req_uired fields
$required = array('q_naslov');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {
	
		
	//insert new data in database
	//uredi tekst
	$seo_link = uredi_fajl($q_naslov);
	$q_naslov=uredi_var($q_naslov);
	$q_link=uredi_var($q_link);
	$q_opis=uredi_var($q_opis);
	if ( $q_link == '' ) $q_link = $q_naslov;
	$q_vijest_kratka = uredi_var( $q_vijest_kratka );
	
	if ($q_opis=='#SUBKAT') {
		$q_opis.='/'.$q_link;
		$sql99="select naslov from b7_kategorija where id_kategorija='$q_link'";
		$rez99=mysql_query($sql99,$conn);
		$row = mysql_fetch_array($rez99);
		$q_link='Lista podlinkova iz kategorije '.$row['naslov'];
		$q_vidljivost=1;
	}
	
	//nova pozicija
	$sql99 = "select pozicija from b7_sadrzaj where id_kategorija='$id_kat' order by pozicija desc limit 1";
	$rez99=mysql_query($sql99,$conn);
	if ($rez99) {
		$row99=mysql_fetch_array($rez99);
		$pozicija=$row99[0];
		$pozicija++;
	}
	//pripremi za unos u bazu
	$q_naslov_mysql = mysql_real_escape_string( $q_naslov );
	$q_link_mysql = mysql_real_escape_string( $q_link );
	$q_opis_mysql = mysql_real_escape_string( $q_opis );
	$seo_link = mysql_real_escape_string( $seo_link );
	$q_vijest_kratka = mysql_real_escape_string( $q_vijest_kratka );
	
	
	//uredi datum	
	//iz prosljeđenog datuma rasturi dan, mjesec i godinu
	$contents = explode(".", $new_datum);
	//naši dani u tjednu
	$weekday = array("Nedjelja","Ponedjeljak","Utorak","Srijeda","&#268;etvrtak","Petak","Subota");
	$q_datum_prikaz=$contents[2].'-'.$contents[1].'-'.$contents[0]; //zapis za bazu
	$new_date=strtotime($q_datum_prikaz);
	$wday=date("w","$new_date");
	$q_dan = $weekday[$wday];//zapis za bazu - dan u tjednu
	
	
	
	//ako postoji slika, spremi je
	if ($_FILES['new_slika']['size']) {
		include ("func_uvod_img.php");		
	} else {
		$q_thumb_ime='';
		$q_thumb_sirina='0';
		$q_thumb_visina='0';			
	}
	
	
	
	
	
	
	
	
	
	$result = mysql_query("insert into b7_sadrzaj values (
							'',
							'$id_kat',
							'$id_rub',
							'$q_naslov_mysql',
							'$q_link_mysql',
							'$q_opis_mysql',
							'$q_datum_prikaz',
							'$q_dan',
							'$log_username',
							'$pozicija',
							'$q_vidljivost',
							'$q_stylesheet',
							'$seo_link',
							'$q_vijest_kratka',
							'$q_thumb_ime',
							'$q_thumb_sirina',
							'$q_thumb_visina'
							 )");
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno dodana nova stranica <strong>'.$q_naslov.'</strong> u bazu<br />';
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za kreaciju zapisa u bazi';
}
?>
<div id="main_content">
<h1>Spremanje nove stranice u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_stranice&amp;id_rub=<?php echo $id_rub;?>&amp;id_kat=<?php echo $id_kat;?>">Povratak...</a>
</div>